Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000506OpenIVGeneralpublic2017-12-21 08:022017-12-30 21:51
ReporterYoha 
Assigned ToGooD-NTS 
PriorityurgentSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
PlatformWindowsOS7 (64-bit, 32-bit)OS Version6.1
Product Version2.9.1 
Target Version2.9.2Fixed in Version2.9.2 
Summary0000506: Game crashes when OpenIV.ASI installed and Simple Chinese language selected
DescriptionHi dear OpenIV team:
I'm Yoha, a Modder from China. :)
R* published latest DLC for gta5, as we know.And they also bring Simple Chinese language to our Chinese player, which is very great.
But unfortunate,If we choose simple chinese in steam, and then install OpenIV.asi, game will crash at the start screen, which is loading ploce stars.

Me and my friend tried many time, and found if we change the language to other, like tradition language, then openiv.asi can be installed and no errors from game.

This crash only happened when we choose simple chinese language.

Can you help to check and make a hotfix or update for this issue?
Many Thanks!
Big Regards
Yoha
Steps To ReproduceI tried install asiloader and opencamera under simple chinese language, and game is ok.
But when I tried install openiv.asi, then game crashed.
Additional InformationMy game is steam version,gta5.exe is 1.0.1290.1, gta5lanucher.exe is 1.0.1290.2
TagsNo tags attached.
GameGrand Theft Auto V
Attached Files

- Relationships

-  Notes
(0000306)
GooD-NTS (administrator)
2017-12-21 16:02

Do you use "mods" folder?
(0000307)
Yoha (reporter)
2017-12-22 12:27

Hi GooD-NTS:
Yes, I do use mods folder.
I've copied update.rpf to mods folder, and edited dlclist.xml in this "new" update.rpf. well, it doesn't work when I set language to simple chinese in steam.

But when I set language back to tradition chinese or english, then game can run.

Well, actually, even I don't use mods folder, emm, more specific, even I don't edit any original game file, just install openiv.asi into game folder, then run game, game crashed.
(0000308)
noddinagushpa (reporter)
2017-12-25 11:23
edited on: 2017-12-25 11:24

Same problem here~
Simplified Chinese is newly added with 1290 update, and asiloader only crash the game with this specific language


- Issue History
Date Modified Username Field Change
2017-12-21 08:02 Yoha New Issue
2017-12-21 16:02 GooD-NTS Note Added: 0000306
2017-12-21 16:02 GooD-NTS Status new => feedback
2017-12-22 12:27 Yoha Note Added: 0000307
2017-12-22 12:27 Yoha Status feedback => new
2017-12-25 11:23 noddinagushpa Note Added: 0000308
2017-12-25 11:24 noddinagushpa Note Edited: 0000308 View Revisions
2017-12-29 15:39 GooD-NTS Assigned To => GooD-NTS
2017-12-29 15:39 GooD-NTS Status new => assigned
2017-12-29 15:39 GooD-NTS Category OpenIV Core => General
2017-12-29 15:39 GooD-NTS Target Version => 2.9.2
2017-12-29 15:40 GooD-NTS Summary Game crashed when I install openiv.asi => Game crashes when OpenIV.ASI installed and Simple Chinese language selected
2017-12-30 21:51 GooD-NTS Status assigned => resolved
2017-12-30 21:51 GooD-NTS Fixed in Version => 2.9.2
2017-12-30 21:51 GooD-NTS Resolution open => fixed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker